# Boost.Signals: class template slot

## Header

    #include <boost/signals/slot.hpp>

## Synopsis

The `slot` class template allows slots to be created and passed as arguments to non-template functions. It is `CopyConstructible`, but not `DefaultConstructible` or `Assignable`.

    namespace boost {
      template<typename SlotFunction>
      class slot {
      public:
        template<typename Slot> slot(const Slot&);

      private:
        SlotFunction stored_slot_function; // exposition only
      };
    }

### Constructor

`template<typename Slot> slot(const Slot& slot);`

- Effects: initializes `this` to contain the incoming `slot`, which may be any function object that `SlotFunction` can be constructed with.

Last modified: Fri Oct 11 05:43:10 EDT 2002